DateFormatter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.DateFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class DateFormatter

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.VarSetterBaseTag
              org.hyperic.hq.ui.taglib.DateFormatter

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DateFormatter

extends VarSetterBaseTag

Tag that will take a value that is a long, or a runtime expression, and output a date representation of that long.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateFormatter()`

Method Summary
`int` | `doStartTag()` This evaluates value as a struts expression, then outputs the resulting string to the pageContext's out.
`java.lang.Boolean` | `getApprox()`
`java.lang.Boolean` | `getShowDate()`
`java.lang.Boolean` | `getShowTime()`
`java.lang.Boolean` | `getTime()`
`java.lang.Long` | `getValue()`
`void` | `release()` Release tag state.
`void` | `setApprox(java.lang.Boolean approx)`
`void` | `setShowDate(java.lang.Boolean showDate)`
`void` | `setShowTime(java.lang.Boolean showTime)`
`void` | `setTime(java.lang.Boolean time)`
`void` | `setValue(java.lang.Long v)`

Methods inherited from class org.hyperic.hq.ui.taglib.VarSetterBaseTag
`getVar, setScope, setScopedVariable, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateFormatter

    public DateFormatter()

Method Detail

### getValue

    public java.lang.Long getValue()

### setValue

    public void setValue(java.lang.Long v)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  This evaluates value as a struts expression, then outputs the resulting string to the pageContext's out.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Description copied from class: `VarSetterBaseTag`
  Release tag state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `VarSetterBaseTag`

### getTime

    public java.lang.Boolean getTime()

### setTime

    public void setTime(java.lang.Boolean time)

### getApprox

    public java.lang.Boolean getApprox()

### setApprox

    public void setApprox(java.lang.Boolean approx)

### getShowDate

    public java.lang.Boolean getShowDate()

### setShowDate

    public void setShowDate(java.lang.Boolean showDate)

### getShowTime

    public java.lang.Boolean getShowTime()

### setShowTime

    public void setShowTime(java.lang.Boolean showTime)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.